
Redmine - Defect #10175

Content-type missing in HTTP headers since upgrade to 1.3.*

2012-02-08 14:54 - Vladimir Dzalbo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

Today I've made an attempt to upgrade to Redmine to 1.3.0/1.3.1 (and also had to upgrade rails to 2.3.14).

After doing this I noticed that a number of HTTP headers disappeared (most importantly Content type and Cookie)

As an example in older version (Redmine 1.2.0 and rails 2.3.5) these are normal HTTP headers I see:

GET /login HTTP/1.1

HTTP/1.1 200 OK

Connection: close

Date: Wed, 08 Feb 2012 13:39:46 GMT

Set-Cookie: _redmine_session=BAh7BzoPc2Vzc2lvbl9pZCIlYTFkNTY1MzcxYjllMmJlZDc1MzYyODc5YjBiOGIwZjE6E

F9jc3JmX3Rva2VuIjE4anZjWW4waU1IblduNXVUMnJkc0NGQUM0SkJtK1R6WEw4VWVTSlIyTFVrPQ%3D%3D--ac9476093854b

c9bb99a06d8c55d4ec38a3ee920; path=/; HttpOnly

Status: 200

ETag: "7d5416aa263ce3e4c50c44b2cac1f187" 

X-Runtime: 16047

Content-Type: text/html; charset=utf-8

Content-Length: 4085

Server: Mongrel 1.1.5

Cache-Control: private, max-age=0, must-revalidate

 But after upgrade I get following:

GET /login HTTP/1.1

HTTP/1.1 200 OK

Connection: close

Date: Wed, 08 Feb 2012 13:51:10 GMT

Content-Length: 4066

 That's really painful considering we run Redmine behind Apache's mod__proxy. And as Content-type header is missing Apache

forwards it further as plain text, not HTML

Anybody experienced anything like this?

History

#1 - 2012-02-10 08:06 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#2 - 2012-02-10 14:15 - Vladimir Dzalbo

- Status changed from New to Resolved

Can be closed.

I needed to reapply the fix for #7688

#3 - 2012-02-10 14:48 - Etienne Massip
https://www.redmine.org/issues/7688


- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid
